diff --git a/python/futures/test_futures.py b/python/futures/test_futures.py
index ace340cb06..caaaa83074 100644
--- a/python/futures/test_futures.py
+++ b/python/futures/test_futures.py
@@ -1,3 +1,4 @@
+from __future__ import print_function
 import os
 import subprocess
 import sys
@@ -82,7 +83,7 @@ def strip_python_stderr(stderr):
     This will typically be run on the result of the communicate() method
     of a subprocess.Popen object.
     """
-    stderr = re.sub(r"\[\d+ refs\]\r?\n?$".encode(), "".encode(), stderr).strip()
+    stderr = re.sub(br"\[\d+ refs\]\r?\n?$", b"", stderr).strip()
     return stderr
 
 
@@ -146,7 +147,7 @@ class ExecutorMixin:
         self.executor.shutdown(wait=True)
         dt = time.time() - self.t1
         if test_support.verbose:
-            print("%.2fs" % dt)
+            print(("%.2fs" % dt))
         self.assertLess(dt, 60, "synchronization issue: test lasted too long")
 
     def _prime_executor(self):
@@ -177,16 +178,16 @@ class ExecutorShutdownTest(unittest.TestCase):
     def test_interpreter_shutdown(self):
         # Test the atexit hook for shutdown of worker threads and processes
         rc, out, err = assert_python_ok('-c', """if 1:
-            from concurrent.futures import %s
+            from concurrent.futures import {}
             from time import sleep
             from test_futures import sleep_and_print
-            t = %s(5)
+            t = {}(5)
             t.submit(sleep_and_print, 1.0, "apple")
-            """ % (self.executor_type.__name__, self.executor_type.__name__))
+            """.format(self.executor_type.__name__, self.executor_type.__name__))
         # Errors in atexit hooks don't change the process exit code, check
         # stderr manually.
         self.assertFalse(err)
-        self.assertEqual(out.strip(), "apple".encode())
+        self.assertEqual(out.strip(), b"apple")
 
     def test_hang_issue12364(self):
         fs = [self.executor.submit(time.sleep, 0.1) for _ in range(50)]
@@ -211,7 +212,7 @@ class ThreadPoolShutdownTest(ThreadPoolMixin, ExecutorShutdownTest):
     def test_context_manager_shutdown(self):
         with futures.ThreadPoolExecutor(max_workers=5) as e:
             executor = e
-            self.assertEqual(list(e.map(abs, range(-5, 5))),
+            self.assertEqual(list(e.map(abs, list(range(-5, 5)))),
                              [5, 4, 3, 2, 1, 0, 1, 2, 3, 4])
 
         for t in executor._threads:
@@ -219,7 +220,7 @@ class ThreadPoolShutdownTest(ThreadPoolMixin, ExecutorShutdownTest):
 
     def test_del_shutdown(self):
         executor = futures.ThreadPoolExecutor(max_workers=5)
-        executor.map(abs, range(-5, 5))
+        executor.map(abs, list(range(-5, 5)))
         threads = executor._threads
         del executor
 
@@ -245,7 +246,7 @@ class ProcessPoolShutdownTest(ProcessPoolMixin, ExecutorShutdownTest):
     def test_context_manager_shutdown(self):
         with futures.ProcessPoolExecutor(max_workers=5) as e:
             processes = e._processes
-            self.assertEqual(list(e.map(abs, range(-5, 5))),
+            self.assertEqual(list(e.map(abs, list(range(-5, 5)))),
                              [5, 4, 3, 2, 1, 0, 1, 2, 3, 4])
 
         for p in processes:
@@ -253,7 +254,7 @@ class ProcessPoolShutdownTest(ProcessPoolMixin, ExecutorShutdownTest):
 
     def test_del_shutdown(self):
         executor = futures.ProcessPoolExecutor(max_workers=5)
-        list(executor.map(abs, range(-5, 5)))
+        list(executor.map(abs, list(range(-5, 5))))
         queue_management_thread = executor._queue_management_thread
         processes = executor._processes
         del executor
@@ -273,8 +274,8 @@ class WaitTests(unittest.TestCase):
                 [CANCELLED_FUTURE, future1, future2],
                  return_when=futures.FIRST_COMPLETED)
 
-        self.assertEqual(set([future1]), done)
-        self.assertEqual(set([CANCELLED_FUTURE, future2]), not_done)
+        self.assertEqual({future1}, done)
+        self.assertEqual({CANCELLED_FUTURE, future2}, not_done)
 
     def test_first_completed_some_already_completed(self):
         future1 = self.executor.submit(time.sleep, 1.5)
@@ -284,9 +285,9 @@ class WaitTests(unittest.TestCase):
                  return_when=futures.FIRST_COMPLETED)
 
         self.assertEqual(
-                set([CANCELLED_AND_NOTIFIED_FUTURE, SUCCESSFUL_FUTURE]),
+                {CANCELLED_AND_NOTIFIED_FUTURE, SUCCESSFUL_FUTURE},
                 finished)
-        self.assertEqual(set([future1]), pending)
+        self.assertEqual({future1}, pending)
 
     def test_first_exception(self):
         future1 = self.executor.submit(mul, 2, 21)
@@ -297,8 +298,8 @@ class WaitTests(unittest.TestCase):
                 [future1, future2, future3],
                 return_when=futures.FIRST_EXCEPTION)
 
-        self.assertEqual(set([future1, future2]), finished)
-        self.assertEqual(set([future3]), pending)
+        self.assertEqual({future1, future2}, finished)
+        self.assertEqual({future3}, pending)
 
     def test_first_exception_some_already_complete(self):
         future1 = self.executor.submit(divmod, 21, 0)
@@ -311,10 +312,10 @@ class WaitTests(unittest.TestCase):
                  future1, future2],
                 return_when=futures.FIRST_EXCEPTION)
 
-        self.assertEqual(set([SUCCESSFUL_FUTURE,
+        self.assertEqual({SUCCESSFUL_FUTURE,
                               CANCELLED_AND_NOTIFIED_FUTURE,
-                              future1]), finished)
-        self.assertEqual(set([CANCELLED_FUTURE, future2]), pending)
+                              future1}, finished)
+        self.assertEqual({CANCELLED_FUTURE, future2}, pending)
 
     def test_first_exception_one_already_failed(self):
         future1 = self.executor.submit(time.sleep, 2)
@@ -323,8 +324,8 @@ class WaitTests(unittest.TestCase):
                  [EXCEPTION_FUTURE, future1],
                  return_when=futures.FIRST_EXCEPTION)
 
-        self.assertEqual(set([EXCEPTION_FUTURE]), finished)
-        self.assertEqual(set([future1]), pending)
+        self.assertEqual({EXCEPTION_FUTURE}, finished)
+        self.assertEqual({future1}, pending)
 
     def test_all_completed(self):
         future1 = self.executor.submit(divmod, 2, 0)
@@ -338,11 +339,11 @@ class WaitTests(unittest.TestCase):
                  future2],
                 return_when=futures.ALL_COMPLETED)
 
-        self.assertEqual(set([SUCCESSFUL_FUTURE,
+        self.assertEqual({SUCCESSFUL_FUTURE,
                               CANCELLED_AND_NOTIFIED_FUTURE,
                               EXCEPTION_FUTURE,
                               future1,
-                              future2]), finished)
+                              future2}, finished)
         self.assertEqual(set(), pending)
 
     def test_timeout(self):
@@ -357,11 +358,11 @@ class WaitTests(unittest.TestCase):
                 timeout=1.5,
                 return_when=futures.ALL_COMPLETED)
 
-        self.assertEqual(set([CANCELLED_AND_NOTIFIED_FUTURE,
+        self.assertEqual({CANCELLED_AND_NOTIFIED_FUTURE,
                               EXCEPTION_FUTURE,
                               SUCCESSFUL_FUTURE,
-                              future1]), finished)
-        self.assertEqual(set([future2]), pending)
+                              future1}, finished)
+        self.assertEqual({future2}, pending)
 
 
 class ThreadPoolWaitTests(ThreadPoolMixin, WaitTests):
@@ -375,7 +376,7 @@ class ThreadPoolWaitTests(ThreadPoolMixin, WaitTests):
         oldswitchinterval = sys.getcheckinterval()
         sys.setcheckinterval(1)
         try:
-            fs = set(self.executor.submit(future_func) for i in range(100))
+            fs = {self.executor.submit(future_func) for i in range(100)}
             event.set()
             futures.wait(fs, return_when=futures.ALL_COMPLETED)
         finally:
@@ -397,11 +398,11 @@ class AsCompletedTests(unittest.TestCase):
                  EXCEPTION_FUTURE,
                  SUCCESSFUL_FUTURE,
                  future1, future2]))
-        self.assertEqual(set(
-                [CANCELLED_AND_NOTIFIED_FUTURE,
+        self.assertEqual({
+                CANCELLED_AND_NOTIFIED_FUTURE,
                  EXCEPTION_FUTURE,
                  SUCCESSFUL_FUTURE,
-                 future1, future2]),
+                 future1, future2},
                 completed)
 
     def test_zero_timeout(self):
@@ -418,9 +419,9 @@ class AsCompletedTests(unittest.TestCase):
         except futures.TimeoutError:
             pass
 
-        self.assertEqual(set([CANCELLED_AND_NOTIFIED_FUTURE,
+        self.assertEqual({CANCELLED_AND_NOTIFIED_FUTURE,
                               EXCEPTION_FUTURE,
-                              SUCCESSFUL_FUTURE]),
+                              SUCCESSFUL_FUTURE},
                          completed_futures)
 
     def test_duplicate_futures(self):
@@ -452,8 +453,8 @@ class ExecutorTest(unittest.TestCase):
 
     def test_map(self):
         self.assertEqual(
-                list(self.executor.map(pow, range(10), range(10))),
-                list(map(pow, range(10), range(10))))
+                list(self.executor.map(pow, list(range(10)), list(range(10)))),
+                list(map(pow, list(range(10)), list(range(10)))))
 
     def test_map_exception(self):
         i = self.executor.map(divmod, [1, 1, 1, 1], [2, 3, 0, 5])
@@ -483,7 +484,7 @@ class ThreadPoolExecutorTest(ThreadPoolMixin, ExecutorTest):
         def record_finished(n):
             finished.append(n)
 
-        self.executor.map(record_finished, range(10))
+        self.executor.map(record_finished, list(range(10)))
         self.executor.shutdown(wait=True)
         self.assertEqual(len(finished), 10)
 
@@ -574,18 +575,18 @@ class FutureTests(unittest.TestCase):
         self.assertTrue(was_cancelled[0])
 
     def test_repr(self):
-        self.assertRegexpMatches(repr(PENDING_FUTURE),
+        self.assertRegex(repr(PENDING_FUTURE),
                                  '<Future at 0x[0-9a-f]+ state=pending>')
-        self.assertRegexpMatches(repr(RUNNING_FUTURE),
+        self.assertRegex(repr(RUNNING_FUTURE),
                                  '<Future at 0x[0-9a-f]+ state=running>')
-        self.assertRegexpMatches(repr(CANCELLED_FUTURE),
+        self.assertRegex(repr(CANCELLED_FUTURE),
                                  '<Future at 0x[0-9a-f]+ state=cancelled>')
-        self.assertRegexpMatches(repr(CANCELLED_AND_NOTIFIED_FUTURE),
+        self.assertRegex(repr(CANCELLED_AND_NOTIFIED_FUTURE),
                                  '<Future at 0x[0-9a-f]+ state=cancelled>')
-        self.assertRegexpMatches(
+        self.assertRegex(
                 repr(EXCEPTION_FUTURE),
                 '<Future at 0x[0-9a-f]+ state=finished raised IOError>')
-        self.assertRegexpMatches(
+        self.assertRegex(
                 repr(SUCCESSFUL_FUTURE),
                 '<Future at 0x[0-9a-f]+ state=finished returned int>')
 
diff --git a/python/gdbpp/gdbpp/__init__.py b/python/gdbpp/gdbpp/__init__.py
index 1b9efbb84a..ca68dcb152 100644
--- a/python/gdbpp/gdbpp/__init__.py
+++ b/python/gdbpp/gdbpp/__init__.py
@@ -6,7 +6,7 @@
 import gdb
 import gdb.printing
 
-class GeckoPrettyPrinter(object):
+class GeckoPrettyPrinter:
     pp = gdb.printing.RegexpCollectionPrettyPrinter('GeckoPrettyPrinters')
 
     def __init__(self, name, regexp):
diff --git a/python/gdbpp/gdbpp/linkedlist.py b/python/gdbpp/gdbpp/linkedlist.py
index 60abfacb96..6f43cc15a8 100644
--- a/python/gdbpp/gdbpp/linkedlist.py
+++ b/python/gdbpp/gdbpp/linkedlist.py
@@ -15,7 +15,7 @@ from gdbpp import GeckoPrettyPrinter
 #   itself.  We do not want to start printing every item in the list whenever
 #   we run into a LinkedListElement<T>.
 @GeckoPrettyPrinter('mozilla::LinkedList', '^mozilla::LinkedList<.*>$')
-class linkedlist_printer(object):
+class linkedlist_printer:
     def __init__(self, value):
         self.value = value
         # mfbt's LinkedList has the elements of the linked list subclass from
diff --git a/python/gdbpp/gdbpp/owningthread.py b/python/gdbpp/gdbpp/owningthread.py
index 3048c8e9d3..abd7ed5792 100644
--- a/python/gdbpp/gdbpp/owningthread.py
+++ b/python/gdbpp/gdbpp/owningthread.py
@@ -7,7 +7,7 @@ import gdb
 from gdbpp import GeckoPrettyPrinter
 
 @GeckoPrettyPrinter('nsAutoOwningThread', '^nsAutoOwningThread$')
-class owning_thread_printer(object):
+class owning_thread_printer:
     def __init__(self, value):
         self.value = value
 
diff --git a/python/gdbpp/gdbpp/smartptr.py b/python/gdbpp/gdbpp/smartptr.py
index 02650f6606..a3ed6b9a2a 100644
--- a/python/gdbpp/gdbpp/smartptr.py
+++ b/python/gdbpp/gdbpp/smartptr.py
@@ -7,7 +7,7 @@ import gdb
 from gdbpp import GeckoPrettyPrinter
 
 @GeckoPrettyPrinter('nsWeakPtr', '^nsCOMPtr<nsIWeakReference>$')
-class weak_ptr_printer(object):
+class weak_ptr_printer:
     def __init__(self, value):
         self.value = value
 
@@ -19,16 +19,16 @@ class weak_ptr_printer(object):
         ref_type = proxy.dynamic_type
         weak_ptr = proxy.cast(ref_type).dereference()['mReferent']
         if not weak_ptr:
-            return '[(%s) %s]' % (weak_ptr.type, weak_ptr)
+            return '[({}) {}]'.format(weak_ptr.type, weak_ptr)
 
-        return '[(%s) %s]' % (weak_ptr.dynamic_type, weak_ptr)
+        return '[({}) {}]'.format(weak_ptr.dynamic_type, weak_ptr)
 
 @GeckoPrettyPrinter('mozilla::StaticAutoPtr', '^mozilla::StaticAutoPtr<.*>$')
 @GeckoPrettyPrinter('mozilla::StaticRefPtr', '^mozilla::StaticRefPtr<.*>$')
 @GeckoPrettyPrinter('nsAutoPtr', '^nsAutoPtr<.*>$')
 @GeckoPrettyPrinter('nsCOMPtr', '^nsCOMPtr<.*>$')
 @GeckoPrettyPrinter('RefPtr', '^RefPtr<.*>$')
-class smartptr_printer(object):
+class smartptr_printer:
     def __init__(self, value):
         self.value = value['mRawPtr']
 
@@ -38,10 +38,10 @@ class smartptr_printer(object):
         else:
             type_name = str(self.value.dereference().dynamic_type.pointer())
 
-        return '[(%s) %s]' % (type_name, str(self.value))
+        return '[({}) {}]'.format(type_name, str(self.value))
 
 @GeckoPrettyPrinter('UniquePtr', '^mozilla::UniquePtr<.*>$')
-class uniqueptr_printer(object):
+class uniqueptr_printer:
     def __init__(self, value):
         self.value = value['mTuple']['mFirstA']
 
@@ -51,4 +51,4 @@ class uniqueptr_printer(object):
         else:
             type_name = str(self.value.dereference().dynamic_type.pointer())
 
-        return '[(%s) %s]' % (type_name, str(self.value))
+        return '[({}) {}]'.format(type_name, str(self.value))
diff --git a/python/gdbpp/gdbpp/string.py b/python/gdbpp/gdbpp/string.py
index 6bf7fcebbd..7f70ef5138 100644
--- a/python/gdbpp/gdbpp/string.py
+++ b/python/gdbpp/gdbpp/string.py
@@ -7,7 +7,7 @@ import gdb
 from gdbpp import GeckoPrettyPrinter
 
 @GeckoPrettyPrinter('nsString', '^ns.*String$')
-class string_printer(object):
+class string_printer:
     def __init__(self, value):
         self.value = value
 
diff --git a/python/gdbpp/gdbpp/tarray.py b/python/gdbpp/gdbpp/tarray.py
index dae6b1b496..aa38034d69 100644
--- a/python/gdbpp/gdbpp/tarray.py
+++ b/python/gdbpp/gdbpp/tarray.py
@@ -11,7 +11,7 @@ from gdbpp import GeckoPrettyPrinter
 @GeckoPrettyPrinter('FallibleTArray', '^FallibleTArray<.*>$')
 @GeckoPrettyPrinter('AutoTArray', '^AutoTArray<.*>$')
 @GeckoPrettyPrinter('nsTArray', '^nsTArray<.*>$')
-class tarray_printer(object):
+class tarray_printer:
     def __init__(self, value):
         self.value = value
         self.elem_type = value.type.template_argument(0)
diff --git a/python/gdbpp/gdbpp/thashtable.py b/python/gdbpp/gdbpp/thashtable.py
index fb11f95cb3..680377f46d 100644
--- a/python/gdbpp/gdbpp/thashtable.py
+++ b/python/gdbpp/gdbpp/thashtable.py
@@ -47,7 +47,7 @@ def walk_template_to_given_base(value, desired_tag_prefix):
 @GeckoPrettyPrinter('nsRefPtrHashtable', '^nsRefPtrHashtable<.*>$')
 @GeckoPrettyPrinter('nsBaseHashtable', '^nsBaseHashtable<.*>$')
 @GeckoPrettyPrinter('nsTHashtable', '^nsTHashtable<.*>$')
-class thashtable_printer(object):
+class thashtable_printer:
     def __init__(self, outer_value):
         self.outermost_type = outer_value.type
 
diff --git a/python/jsmin/jsmin/__init__.py b/python/jsmin/jsmin/__init__.py
index 033a087019..32b17d0cb8 100644
--- a/python/jsmin/jsmin/__init__.py
+++ b/python/jsmin/jsmin/__init__.py
@@ -45,7 +45,7 @@ def jsmin(js, **kwargs):
     returns a minified version of the javascript string
     """
     if not is_3:        
-        if cStringIO and not isinstance(js, unicode):
+        if cStringIO and not isinstance(js, str):
             # strings can use cStringIO for a 3x performance
             # improvement, but unicode (in python2) cannot
             klass = cStringIO.StringIO
@@ -59,7 +59,7 @@ def jsmin(js, **kwargs):
     return outs.getvalue()
 
 
-class JavascriptMinify(object):
+class JavascriptMinify:
     """
     Minify an input stream of javascript, writing
     to an output stream
diff --git a/python/jsmin/jsmin/test.py b/python/jsmin/jsmin/test.py
index 6f7f627fde..705fcbbe46 100644
--- a/python/jsmin/jsmin/test.py
+++ b/python/jsmin/jsmin/test.py
@@ -1,3 +1,4 @@
+from __future__ import print_function
 import unittest
 import jsmin
 import sys
@@ -8,13 +9,13 @@ class JsTests(unittest.TestCase):
 
     def assertEqual(self, thing1, thing2):
         if thing1 != thing2:
-            print(repr(thing1), repr(thing2))
+            print((repr(thing1), repr(thing2)))
             raise AssertionError
         return True
     
     def assertMinified(self, js_input, expected, **kwargs):
         minified = jsmin.jsmin(js_input, **kwargs)
-        assert minified == expected, "%r != %r" % (minified, expected)
+        assert minified == expected, "{!r} != {!r}".format(minified, expected)
         
     def testQuoted(self):
         js = r'''
@@ -260,8 +261,8 @@ var  foo    =  "hey";
         assert output == "function foo(''){}"
     
     def testUnicode(self):
-        instr = u'\u4000 //foo'
-        expected = u'\u4000'
+        instr = '\u4000 //foo'
+        expected = '\u4000'
         output = jsmin.jsmin(instr)
         self.assertEqual(output, expected)
 
@@ -285,8 +286,8 @@ var  foo    =  "hey";
         self.assertMinified("return//comment...\r\na", "return\na")
     
     def testSingleComment2(self):
-        self.assertMinified('x.replace(/\//, "_")// slash to underscore',
-                'x.replace(/\//,"_")')
+        self.assertMinified(r'x.replace(/\//, "_")// slash to underscore',
+                r'x.replace(/\//,"_")')
 
     def testSlashesNearComments(self):
         original = '''
diff --git a/python/jsmin/setup.py b/python/jsmin/setup.py
index 8fff566023..dc96edae32 100644
--- a/python/jsmin/setup.py
+++ b/python/jsmin/setup.py
@@ -6,8 +6,7 @@ os.environ['COPYFILE_DISABLE'] = 'true'  # this disables including resource fork
 
 
 extra = {}
-if sys.version_info >= (3,0):
-    extra['use_2to3'] = True
+extra['use_2to3'] = True
 
 setup(
     name="jsmin",
diff --git a/python/lldbutils/lldbutils/general.py b/python/lldbutils/lldbutils/general.py
index 27cf19aabb..452dd58652 100644
--- a/python/lldbutils/lldbutils/general.py
+++ b/python/lldbutils/lldbutils/general.py
@@ -1,3 +1,4 @@
+from __future__ import print_function
 import lldb
 from lldbutils import utils
 
@@ -43,28 +44,28 @@ def prefcnt(debugger, command, result, dict):
     frame = thread.GetSelectedFrame()
     obj = frame.EvaluateExpression(command)
     if obj.GetError().Fail():
-        print "could not evaluate expression"
+        print("could not evaluate expression")
         return
     obj = utils.dereference(obj)
     field = obj.GetChildMemberWithName("mRefCnt")
     if field.GetError().Fail():
         field = obj.GetChildMemberWithName("refCnt")
     if field.GetError().Fail():
-        print "not a refcounted object"
+        print("not a refcounted object")
         return
     refcnt_type = field.GetType().GetCanonicalType().GetName()
     if refcnt_type == "nsAutoRefCnt":
-        print field.GetChildMemberWithName("mValue").GetValueAsUnsigned(0)
+        print((field.GetChildMemberWithName("mValue").GetValueAsUnsigned(0)))
     elif refcnt_type == "nsCycleCollectingAutoRefCnt":
-        print field.GetChildMemberWithName("mRefCntAndFlags").GetValueAsUnsigned(0) >> 2
+        print((field.GetChildMemberWithName("mRefCntAndFlags").GetValueAsUnsigned(0) >> 2))
     elif refcnt_type == "mozilla::ThreadSafeAutoRefCnt":
-        print field.GetChildMemberWithName("mValue").GetChildMemberWithName("mValue").GetValueAsUnsigned(0)
+        print((field.GetChildMemberWithName("mValue").GetChildMemberWithName("mValue").GetValueAsUnsigned(0)))
     elif refcnt_type == "int":  # non-atomic mozilla::RefCounted object
-        print field.GetValueAsUnsigned(0)
+        print((field.GetValueAsUnsigned(0)))
     elif refcnt_type == "mozilla::Atomic<int>":  # atomic mozilla::RefCounted object
-        print field.GetChildMemberWithName("mValue").GetValueAsUnsigned(0)
+        print((field.GetChildMemberWithName("mValue").GetValueAsUnsigned(0)))
     else:
-        print "unknown mRefCnt type " + refcnt_type
+        print(("unknown mRefCnt type " + refcnt_type))
 
 # Used to work around http://llvm.org/bugs/show_bug.cgi?id=22211
 def callfunc(debugger, command, result, dict):
@@ -72,7 +73,7 @@ def callfunc(debugger, command, result, dict):
        The function is assumed to return void."""
 
     if '(' not in command:
-        print 'Usage: callfunc your_function(args)'
+        print('Usage: callfunc your_function(args)')
         return
 
     command_parts = command.split('(')
@@ -82,7 +83,7 @@ def callfunc(debugger, command, result, dict):
     target = debugger.GetSelectedTarget()
     symbols = target.FindFunctions(funcname).symbols
     if not symbols:
-        print 'Could not find a function symbol for a function called "%s"' % funcname
+        print(('Could not find a function symbol for a function called "%s"' % funcname))
         return
 
     sym = symbols[0]
diff --git a/python/lldbutils/lldbutils/gfx.py b/python/lldbutils/lldbutils/gfx.py
index 1ad9a37a7f..d020849174 100644
--- a/python/lldbutils/lldbutils/gfx.py
+++ b/python/lldbutils/lldbutils/gfx.py
@@ -25,7 +25,7 @@ def summarize_nscolor(valobj, internal_dict):
         return "transparent"
     if value & 0xff000000 != 0xff000000:
         return "rgba(%d, %d, %d, %f)" % (value & 0xff, (value >> 8) & 0xff, (value >> 16) & 0xff, ((value >> 24) & 0xff) / 255.0)
-    color = "#%02x%02x%02x" % (value & 0xff, (value >> 8) & 0xff, (value >> 16) & 0xff)
+    color = "#{:02x}{:02x}{:02x}".format(value & 0xff, (value >> 8) & 0xff, (value >> 16) & 0xff)
     if color in colors:
         return colors[color]
     return color
@@ -100,7 +100,7 @@ def summarize_rect(valobj, internal_dict):
     y = valobj.GetChildMemberWithName("y").GetValue()
     width = valobj.GetChildMemberWithName("width").GetValue()
     height = valobj.GetChildMemberWithName("height").GetValue()
-    return "%s, %s, %s, %s" % (x, y, width, height)
+    return "{}, {}, {}, {}".format(x, y, width, height)
 
 def rect_is_empty(valobj):
     width = valobj.GetChildMemberWithName("width").GetValueAsSigned()
diff --git a/python/mach/mach/base.py b/python/mach/mach/base.py
index 3556dc6e57..e039c82a0f 100644
--- a/python/mach/mach/base.py
+++ b/python/mach/mach/base.py
@@ -2,10 +2,9 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, unicode_literals
 
 
-class CommandContext(object):
+class CommandContext:
     """Holds run-time state so it can easily be passed to command providers."""
     def __init__(self, cwd=None, settings=None, log_manager=None,
         commands=None, **kwargs):
diff --git a/python/mach/mach/commands/commandinfo.py b/python/mach/mach/commands/commandinfo.py
index cce85f859d..c90e4d6491 100644
--- a/python/mach/mach/commands/commandinfo.py
+++ b/python/mach/mach/commands/commandinfo.py
@@ -2,8 +2,8 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, print_function, unicode_literals
 
+from __future__ import print_function
 from mach.decorators import (
     CommandProvider,
     Command,
@@ -12,7 +12,7 @@ from mach.decorators import (
 
 
 @CommandProvider
-class BuiltinCommands(object):
+class BuiltinCommands:
     def __init__(self, context):
         self.context = context
 
@@ -25,7 +25,7 @@ class BuiltinCommands(object):
     @Command('mach-commands', category='misc',
         description='List all mach commands.')
     def commands(self):
-        print("\n".join(self.command_keys))
+        print(("\n".join(self.command_keys)))
 
     @Command('mach-debug-commands', category='misc',
         description='Show info about available mach commands.')
@@ -44,10 +44,10 @@ class BuiltinCommands(object):
             method = getattr(cls, getattr(handler, 'method'))
 
             print(command)
-            print('=' * len(command))
+            print(('=' * len(command)))
             print('')
-            print('File: %s' % inspect.getsourcefile(method))
-            print('Class: %s' % cls.__name__)
-            print('Method: %s' % handler.method)
+            print(('File: %s' % inspect.getsourcefile(method)))
+            print(('Class: %s' % cls.__name__))
+            print(('Method: %s' % handler.method))
             print('')
 
diff --git a/python/mach/mach/commands/settings.py b/python/mach/mach/commands/settings.py
index d5bb807d82..4493637974 100644
--- a/python/mach/mach/commands/settings.py
+++ b/python/mach/mach/commands/settings.py
@@ -2,8 +2,8 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, print_function, unicode_literals
 
+from __future__ import print_function
 import os
 from textwrap import TextWrapper
 
@@ -23,7 +23,7 @@ Please run:
 
 
 @CommandProvider
-class Settings(object):
+class Settings:
     """Interact with settings for mach.
 
     Currently, we only provide functionality to view what settings are
@@ -43,19 +43,19 @@ class Settings(object):
             for section in sorted(self._settings):
                 for option in sorted(self._settings[section]._settings):
                     short, full = self._settings.option_help(section, option)
-                    print('%s.%s -- %s' % (section, option, short))
+                    print(('{}.{} -- {}'.format(section, option, short)))
             return
 
         wrapper = TextWrapper(initial_indent='# ', subsequent_indent='# ')
         for section in sorted(self._settings):
-            print('[%s]' % section)
+            print(('[%s]' % section))
 
             for option in sorted(self._settings[section]._settings):
                 short, full = self._settings.option_help(section, option)
-                print(wrapper.fill(full))
+                print((wrapper.fill(full)))
 
                 if option != '*':
-                    print(';%s =' % option)
+                    print((';%s =' % option))
                     print('')
 
     @SubCommand('settings', 'locale-gen',
@@ -82,9 +82,9 @@ class Settings(object):
             self._gen_section(section, **kwargs)
 
         if not self.was_prompted:
-            print("All specified options already have an {} translation. "
+            print(("All specified options already have an {} translation. "
                   "To overwrite existing translations, pass --overwrite."
-                  .format(kwargs['locale']))
+                  .format(kwargs['locale'])))
 
     def _gen_section(self, section, **kwargs):
         if '.' in section:
@@ -122,7 +122,7 @@ class Settings(object):
 
             self.was_prompted = True
 
-            msgstr = raw_input("Translate {} to {}:\n"
+            msgstr = input("Translate {} to {}:\n"
                                .format(msgid, locale))
             entry.msgstr = msgstr
 
